<!-- PROJECT SHIELDS -->
<!--
*** I'm using markdown "reference style" links for readability.
*** Reference links are enclosed in brackets [ ] instead of parentheses ( ).
*** See the bottom of this document for the declaration of the reference variables
*** for contributors-url, forks-url, etc. This is an optional, concise syntax you may use.
*** https://www.markdownguide.org/basic-syntax/#reference-style-links
-->
[![MIT License][license-shield]][license-url]

<!-- Title -->
# VT1300 Shield

<!-- Introduction -->
This is the Arduino Library for the Vertorix VT1300 Shield.  

The Vertorix VT1300 is an Arduino compatible shield with a Ebyte E18-MS1 module.  The E18-MS1 is based on the CC2530 chip by Texas Instruments and is FCC, CE and ROHS Certified.  It can be used to develop low powered IOT devices using the Arduino IDE and is compatible with an Arduino Leonardo.  

<!-- PROJECT LOGO -->
<!--
Place Logo here
-->
<br/>

<p align="center">
<img src="https://github.com/VertorixAU/VertorixAU.github.io/raw/main/Images/VT1300/VT1300Side.png" width="500" height="500">

<br/>

<!-- MOTIVATION -->
## Motivation

This Repository shows you how to use the VT1300 Library with the Arduino IDE and provides example sketches.

It is possible to upload the examples as Hex files directly to the boards without using the Arduino IDE.  See this Repository: [ArduinoSketchUploader](https://github.com/VertorixAU/ArduinoSketchUploader)

<!-- GETTING STARTED -->
## Getting Started

Follow the below instructions to run the example Arduino Sketches.

### Prerequisites

* VT1300 Mini;
* Arduino Leonardo Board;
* Arduino IDE - download [here](https://www.arduino.cc/en/main/software)

### Programming

The VT1300 Shield is designed to be used with the Leonardo.  Select the Leonardo Board in the Arduino IDE for uploading sketches.

### Libraries

#### Manually Install Libraries

1. Create a new folder called **VT1300UART** in your Arduino "libraries" folder. Copy the **VT1300UART.h** and **VT1300UART.cpp** files to this folder;
2. Install any other required libraries;

#### Arduino IDE Library Installation

1. Use the menu to select:
```sh
Sketch > Include Library > Manage Libraries
```
2. Use the search bar at the top to search for **VT1300**;
3. Find the Vertorix VT1300 Library and click the install button;

### Running the Examples

1. Open the Example Sketches from the menu:
```sh
File > Examples > Select Library name > Select Example
```
2. Open the **VT1300_SimpleReceive.ino** and **VT1300_SimpleSend.ino** Examples;
3. Read through the Sketches to obtain a basic understanding of how they work;
4. Set Digital Pin 2 (**D2**) LOW (GND) this will Commission the CC2530 into the Network on power up and connect to the computer.;
5. Select the correct Board and Ports then Upload the Sketches;
```sh
Tools > Board > Arduino AVR Boards > "Arduino Leonardo"
Tools > Port: "COM#"
Sketch > Upload
```
6. First open the Serial Monitor on the **VT1300_SimpleReceive.ino** Sketch and it will start this device as a Coordinator and form the Network;
7. Then open the Serial Monitor on the **VT1300_SimpleSend.ino** Sketch and it will join the Network as a Router and send messages to the Coordinator every 10 seconds;
8. Set D2 High (disconnected) once the devices are commissioned in the network.  This will allow the devices to restore Network States and Configurations on reset.


<!-- LICENSE -->
## License

Distributed under the MIT License. See `LICENSE` for more information.

<!-- CONTACT -->



<!-- MARKDOWN LINKS & IMAGES -->
<!-- Douments Shield -->
[Docs-shield]: https://img.shields.io/badge/Docs-Project%20Documentation-blue
[Docs-url]: https://vertorixau.github.io/
<!-- License Shield -->
[license-shield]: https://img.shields.io/badge/License-MIT-brightgreen
[license-url]: https://github.com/VertorixAU/Vertorix_VT1300_UART/blob/main/LICENSE
